let timeout:any = null
function debounce(func, wait = 500) {
  console.log(arguments[0],'arguments')
  timeout && clearTimeout(timeout)
  timeout = setTimeout(() => {
    console.log('执行')
    typeof func === 'function' && func()
  }, wait)
}

export default debounce

